Documentation Index

Fetch the complete documentation index at: https://docs.xendit.co/llms.txt

Use this file to discover all available pages before exploring further.

For archived content, access the previous documentation here or the previous API reference here.

Get transfer by reference

Prev Next
Get
/transfers/reference={reference}

This endpoint queries the current status of a transfer. This is often used for checking the status of a transaction.

Security
HTTP
Type basic
Path parameters
reference
stringRequired
Examplemonthly_transfers_1234
Responses
200
Default Transfer
{
  "created": "2020-11-30T02:47:53.061Z",
  "transfer_id": "bd1cc56b-ce7f-4ad7-8901-3eaa689e90eb",
  "source_user_id": "`5cafeb170a2b18519b1b8768",
  "destination_user_id": "5f8d0c0603ffe06b7d4d9fcf",
  "status": "SUCCESSFUL",
  "amount": "90000",
  "reference": "Monthly_Transfers_1234"
}
object

Object that would be generated upon creation of a Transfer

created
string (date-time)

Timestamp of when the object was created

transfer_id
string

A unique reference for this Transfer set by Xendit systems

reference
string

A unique reference for this Transfer that you set when making the request

source_user_id
string

The source of the transfer. This is the user_id of either your master or sub account

destination_user_id
string

The destination of the transfer. This is the user_id of either your master or sub account

status
string

The status of the Transfer. Available values SUCCESSFUL,PENDING, FAILED

amount
number

The amount that was transferred

400
DATA_NOT_FOUND
{
  "error_code": "DATA_NOT_FOUND",
  "message": "Could not find transfer by reference because reference may be invalid.",
  "errors": [
    "Detailed description here"
  ]
}
object

The object being referenced does not exist

error_code
string
Valid values[ "DESTINATION_ACCOUNT_NOT_FOUND", "DATA_NOT_FOUND", "CALLBACK_AUTHENTICATION_TOKEN_NOT_FOUND_ERROR" ]
message
string
errors
Array
OneOf
string
string
object
object
401
INVALID_API_KEY
{
  "error_code": "INVALID_API_KEY",
  "message": "API key is not authorized for this API service, access to xenPlatform is needed",
  "errors": [
    "Detailed description here"
  ]
}
object

Invalid API key

error_code
string
Valid values[ "INVALID_API_KEY" ]
message
string
errors
Array
OneOf
string
string
object
object